org.apache.xerces.impl.xs.identity

## Class Field.XPath

- java.lang.Object
- - org.apache.xerces.impl.xpath.XPath
  - - org.apache.xerces.impl.xs.identity.Field.XPath

Enclosing class:
  Field

    public static class Field.XPath
    extends XPath

Field XPath.

Author:
  Andy Clark, IBM

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.xerces.impl.xpath.XPath

`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

### Field Summary

### Fields inherited from class org.apache.xerces.impl.xpath.XPath

`fExpression, fLocationPaths, fSymbolTable`

### Constructor Summary

Constructors
Constructor and Description
`XPath(java.lang.String xpath, SymbolTable symbolTable, org.apache.xerces.xni.NamespaceContext context)` Constructs a field XPath expression.

### Method Summary

### Methods inherited from class org.apache.xerces.impl.xpath.XPath

`getLocationPath, getLocationPaths, main, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XPath

    public XPath(java.lang.String xpath,
                 SymbolTable symbolTable,
                 org.apache.xerces.xni.NamespaceContext context)
          throws XPathException

Constructs a field XPath expression.

Throws:
  `XPathException`